Cantera 2.6.0

Public Member Functions | Public Attributes | Protected Attributes | List of all members
ReactionData Struct Referenceabstract

Data container holding shared data used for ReactionRate calculation. More...

`#include <ReactionData.h>`

Inheritance diagram for ReactionData:
[legend]

## Public Member Functions
virtual void | update (double T)
| Update data container based on temperature T More...
virtual void | update (double T, double extra)
| Update data container based on temperature T and an extra parameter. More...
virtual void | update (double T, const vector_fp &extra)
| Update data container based on temperature T and a vector parameter extra More...
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin)=0
| Update data container based on thermodynamic phase state. More...
void | perturbTemperature (double deltaT)
| Perturb temperature of data container. More...
virtual void | restore ()
| Restore data container after a perturbation. More...
virtual void | resize (size_t nSpecies, size_t nReactions, size_t nPhases)
| Update number of species, reactions and phases. More...
virtual void | invalidateCache ()
| Force shared data and reaction rates to be updated next time. More...

## Public Attributes
double | temperature
| temperature More...
double | logT
| logarithm of temperature More...
double | recipT
| inverse of temperature More...

## Protected Attributes
double | m_temperature_buf
| buffered temperature More...

## Detailed Description

Data container holding shared data used for ReactionRate calculation.

The base class defines variables and methods used by all specializations.

Definition at line 25 of file ReactionData.h.

## Constructor & Destructor Documentation

## ◆ ReactionData()

ReactionData | ( |  | ) |
| inline

Definition at line 27 of file ReactionData.h.

## Member Function Documentation

## ◆ update() [1/4]

virtual void update | ( | double | T | ) |
| inline virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented in ArrheniusData, BlowersMaselData, ChebyshevData, FalloffData, InterfaceData, PlogData, TwoTempPlasmaData, BlowersMaselData, ChebyshevData, FalloffData, InterfaceData, InterfaceData, PlogData, and TwoTempPlasmaData.

Definition at line 35 of file ReactionData.h.

Referenced by ReactionData::perturbTemperature(), and ReactionData::restore().

## ◆ update() [2/4]

virtual void update | ( | double | T,
|  | double | extra
| ) |  |
| inline virtual

Update data container based on temperature T and an extra parameter.

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented in ArrheniusData, BlowersMaselData, ChebyshevData, FalloffData, InterfaceData, PlogData, TwoTempPlasmaData, FalloffData, ChebyshevData, PlogData, and TwoTempPlasmaData.

Definition at line 47 of file ReactionData.h.

## ◆ update() [3/4]

virtual void update | ( | double | T,
|  | const vector_fp & | extra
| ) |  |
| inline virtual

Update data container based on temperature T and a vector parameter extra

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Warning
  This method is an experimental part of the Cantera API and may be changed or removed without notice.

Reimplemented in ArrheniusData, BlowersMaselData, ChebyshevData, FalloffData, InterfaceData, PlogData, TwoTempPlasmaData, and InterfaceData.

Definition at line 61 of file ReactionData.h.

## ◆ update() [4/4]

virtual bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| pure virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implemented in InterfaceData, ArrheniusData, BlowersMaselData, ChebyshevData, FalloffData, InterfaceData, PlogData, TwoTempPlasmaData, ArrheniusData, BlowersMaselData, ChebyshevData, FalloffData, InterfaceData, PlogData, and TwoTempPlasmaData.

## ◆ perturbTemperature()

void perturbTemperature | ( | double | deltaT | ) |
| inline

Perturb temperature of data container.

The method is used for the evaluation of numerical derivatives.

Parameters

  deltaT | relative temperature perturbation

Definition at line 79 of file ReactionData.h.

References ReactionData::m_temperature_buf, ReactionData::temperature, and ReactionData::update().

## ◆ restore()

virtual void restore | ( |  | ) |
| inline virtual

Restore data container after a perturbation.

Reimplemented in ChebyshevData, FalloffData, and PlogData.

Definition at line 89 of file ReactionData.h.

References ReactionData::m_temperature_buf, and ReactionData::update().

Referenced by ChebyshevData::restore(), and PlogData::restore().

## ◆ resize()

virtual void resize | ( | size_t | nSpecies,
|  | size_t | nReactions,
|  | size_t | nPhases
| ) |  |
| inline virtual

Update number of species, reactions and phases.

Reimplemented in BlowersMaselData, FalloffData, and InterfaceData.

Definition at line 99 of file ReactionData.h.

## ◆ invalidateCache()

virtual void invalidateCache | ( |  | ) |
| inline virtual

Force shared data and reaction rates to be updated next time.

This is called by functions that change quantities affecting rate calculations that are normally assumed to be constant, like the reaction rate parameters or the number of reactions.

Reimplemented in ChebyshevData, FalloffData, PlogData, and TwoTempPlasmaData.

Definition at line 105 of file ReactionData.h.

References ReactionData::temperature.

Referenced by ChebyshevData::invalidateCache(), FalloffData::invalidateCache(), PlogData::invalidateCache(), and TwoTempPlasmaData::invalidateCache().

## Member Data Documentation

## ◆ temperature

double temperature

temperature

Definition at line 109 of file ReactionData.h.

Referenced by CustomFunc1Rate::evalFromStruct(), FalloffRate::evalFromStruct(), TwoTempPlasmaRate::evalFromStruct(), ReactionData::invalidateCache(), ChebyshevData::perturbPressure(), PlogData::perturbPressure(), ReactionData::perturbTemperature(), ChebyshevData::restore(), PlogData::restore(), InterfaceData::update(), and InterfaceRateBase::updateFromStruct().

## ◆ logT

double logT

logarithm of temperature

Definition at line 110 of file ReactionData.h.

Referenced by ArrheniusRate::evalFromStruct(), BlowersMaselRate::evalFromStruct(), FalloffRate::evalFromStruct(), PlogRate::evalFromStruct(), and InterfaceData::update().

## ◆ recipT

double recipT

inverse of temperature

Definition at line 111 of file ReactionData.h.

Referenced by ArrheniusRate::ddTScaledFromStruct(), BlowersMaselRate::ddTScaledFromStruct(), TwoTempPlasmaRate::ddTScaledFromStruct(), ArrheniusRate::evalFromStruct(), BlowersMaselRate::evalFromStruct(), ChebyshevRate::evalFromStruct(), FalloffRate::evalFromStruct(), PlogRate::evalFromStruct(), TwoTempPlasmaRate::evalFromStruct(), and InterfaceData::update().

## ◆ m_temperature_buf

double m_temperature_buf
| protected

buffered temperature

Definition at line 114 of file ReactionData.h.

Referenced by ReactionData::perturbTemperature(), ReactionData::restore(), and InterfaceData::update().

The documentation for this struct was generated from the following file:

- ReactionData.h